# m3e/rich_tooltip_action

RichTooltipAction is an element, nested within a clickable element, used to dismiss a parenting rich tooltip.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## DisableRestoreFocus

</>

DisableRestoreFocus is whether to focus should not be restored to the trigger when activated.

    pub type DisableRestoreFocus {
      IsDisableRestoreFocus
      IsNotDisableRestoreFocus
    }

### Constructors

-     IsDisableRestoreFocus

-     IsNotDisableRestoreFocus

## RichTooltipAction

opaque </>

RichTooltipAction is a View Model for this component

## Fields:

- disable_restore_focus: Whether to focus should not be restored to the trigger when activated.

    pub opaque type RichTooltipAction

# Values

## default_disable_restore_focus

</>

    pub const default_disable_restore_focus: DisableRestoreFocus

## disable_restore_focus

</>

    pub fn disable_restore_focus(
      arg: RichTooltipAction,
      disable_restore_focus: DisableRestoreFocus,
    ) -> RichTooltipAction

disable_restore_focus sets the value of disable_restore_focus for this RichTooltipAction.

## new

</>

    pub fn new(
      disable_restore_focus: DisableRestoreFocus,
    ) -> RichTooltipAction

new creates a new RichTooltipAction with the default configuration.

## render

</>

    pub fn render(
      model: RichTooltipAction,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a RichTooltipAction

✨